org.keycloak.dom.saml.v1.assertion

## Class SAML11SubjectConfirmationType

- java.lang.Object
- - org.keycloak.dom.saml.v1.assertion.SAML11SubjectConfirmationType

-     public class SAML11SubjectConfirmationType
      extends Object

  Since:
    Jun 22, 2011
  Author:
    Anil.Saldhana@redhat.com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<URI>` | `confirmationMethod`
    `protected Element` | `keyInfo`
    `protected Object` | `subjectConfirmationData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAML11SubjectConfirmationType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAllConfirmationMethod(List<URI> confirmation)`
    `void` | `addConfirmationMethod(URI confirmation)`
    `List<URI>` | `getConfirmationMethod()`
    `Element` | `getKeyInfo()`
    `Object` | `getSubjectConfirmationData()`
    `boolean` | `removeConfirmationMethod(URI confirmation)`
    `void` | `setKeyInfo(Element keyInfo)`
    `void` | `setSubjectConfirmationData(Object subjectConfirmation)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### confirmationMethod

          protected List<URI> confirmationMethod

    - #### subjectConfirmationData

          protected Object subjectConfirmationData

    - #### keyInfo

          protected Element keyInfo

  - ### Constructor Detail

    - #### SAML11SubjectConfirmationType

          public SAML11SubjectConfirmationType()

  - ### Method Detail

    - #### addConfirmationMethod

          public void addConfirmationMethod(URI confirmation)

    - #### addAllConfirmationMethod

          public void addAllConfirmationMethod(List<URI> confirmation)

    - #### removeConfirmationMethod

          public boolean removeConfirmationMethod(URI confirmation)

    - #### getConfirmationMethod

          public List<URI> getConfirmationMethod()

    - #### setSubjectConfirmationData

          public void setSubjectConfirmationData(Object subjectConfirmation)

    - #### getKeyInfo

          public Element getKeyInfo()

    - #### setKeyInfo

          public void setKeyInfo(Element keyInfo)

    - #### getSubjectConfirmationData

          public Object getSubjectConfirmationData()

Copyright © 2021 JBoss by Red Hat. All rights reserved.